Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003142GameMaker: Studio[All Projects] Generalpublic2012-05-03 11:282013-03-05 15:48
Reporterpandadriver2 
Assigned ToRussell Kay 
PriorityVery HighSeverityA - Crash/HangReproducibility100%
StatusclosedResolutionfixed 
PlatformWindowsOS7OS Versionx64
Summary0003142: Compile error
DescriptionWhen trying to run the game the following error shows up:

Compile error in Exception at line 0 : System.NullReferenceException Object reference not set to an instance of an object.
Steps To ReproduceRun a game
GM Version
Attached Files

- Relationships

-  Notes
(0001612)
vanish (updater)
2012-05-03 12:45

duplicate? 0003108
(0001613)
vanish (updater)
2012-05-03 12:46
edited on: 2012-05-03 13:50

That said, any update on a link to rollback to .144? GMS not usable atm and no comment so far.

(0001814)
pandadriver2 (reporter)
2012-05-11 13:08

Writing Chunk... GEN8
Error : Exception : System.NullReferenceException: De objectverwijzing is niet op een exemplaar van een object ingesteld.
   bij GMAssetCompiler.IFFSaver.WriteHeader(GMAssets _data, Stream _s, IFF _iff)
   bij GMAssetCompiler.IFFChunkHandler`1.Save(Stream _stream, IFF _iff)
   bij GMAssetCompiler.IFF.WriteChunks(Stream _stream)
   bij GMAssetCompiler.IFFSaver.Save(GMAssets _assets, Stream _stream, List`1 _extraFilenames)
   bij GMAssetCompiler.IFFSaver.Save(GMAssets _assets, String _name)
   bij GMAssetCompiler.Program.Main(String[] _args)
(0001861)
Hackerzgames (reporter)
2012-05-13 07:46

I figured out how to go back to version .144

You have to uninstall GMS, reinstall it
INMORTANT!!! DO NOT RUN GAME MAKER AFTER IT INSTALLS!!!

Download this:
store.yoyogames.com/downloads/gmstudio/GMStudio-1.0.144.zip
-The official Version .144 update I got it from the update RSS in the gamemaker update config file (sorry if this is technically wrong, but I needed to downgrade so I can actually use the program until this MAJOR PROBLEM is fixed)

Move it to this folder
%appdata%\GameMaker-Studio\UpgradeZip - This is where the Game maker executable information is actually stored (This will be the same no matter where you installed the game to it is the roaming app folder).

Delete the existing upgrade.zip and rename the GMStudio-1.0.144.zip to upgrade.zip.
(The old upgrade.zip contains the V.096 version or the original version of GMS)

The run the link in the start menu or on your desktop (You should have one or the other or both)
This will unpack the v.144 zip in place of the .096 version. It's complicated, but it works.

Once the upgrade installs, DO NOT UPDATE TO THE V.153

Hope this help, this is how I got back to the V.144
(0001941)
Russell Kay (administrator)
2012-05-14 15:27

This should be fixed in v1.0.174 - please use the download link in the header for the version in the Release Notes - this is a direct link to the installer for that version

- Issue History
Date Modified Username Field Change
2012-05-03 11:28 pandadriver2 New Issue
2012-05-03 12:45 vanish Note Added: 0001612
2012-05-03 12:46 vanish Note Added: 0001613
2012-05-03 13:50 vanish Note Edited: 0001613 View Revisions
2012-05-03 16:03 Russell Kay Assigned To => Russell Kay
2012-05-03 16:03 Russell Kay Status new => assigned
2012-05-11 13:08 pandadriver2 Note Added: 0001814
2012-05-13 07:46 Hackerzgames Note Added: 0001861
2012-05-14 15:27 Russell Kay Note Added: 0001941
2012-05-14 15:27 Russell Kay Status assigned => resolved
2012-05-14 15:27 Russell Kay Resolution open => fixed
2013-03-05 15:48 Ross Manthorp Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker